# Create a session store

Launch stage: Beta

`POST /api/2.0/agents/session-stores`

Creates a session store.

API scopes: agent-kit

## Query parameters

- `session_store_id` (string, ^[a-z]([a-z0-9-]{0,53}[a-z0-9])?$, required)
  Caller-provided, workspace-unique session store ID. It must be 3-55 characters, begin with a
   lowercase letter, and contain only lowercase letters, digits, and hyphens.
  Constraints: `[ 3 .. 55 ] characters`

## Request body

The session store to create.
- `description` (string, optional)
  Human-readable description of the session store.
- `metadata` (object, optional)
  Mutable caller-defined string labels.

## Returns

Returns the SessionStore object.

## Response

```json
{
  "creator_user_id": "string",
  "create_time": "string",
  "update_time": "string",
  "description": "string",
  "metadata": {},
  "name": "string"
}
```

